Update an organisation DNS record
import requests
url = "https://platform.ankra.app/api/v1/org/dns/records/{record_id}"
payload = { "content": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/dns/records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://platform.ankra.app/api/v1/org/dns/records/{record_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>"
}
'{
"id": "<string>",
"name": "<string>",
"record_type": "<string>",
"content": "<string>",
"state": "<string>",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"ttl": 123,
"last_error": "<string>",
"source": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}DNS
Update an organisation DNS record
Changes a record’s content and, when given, its ttl; the name and record type cannot change. Organisation admins only. The record returns to pending until the change is published.
PATCH
/
api
/
v1
/
org
/
dns
/
records
/
{record_id}
Update an organisation DNS record
import requests
url = "https://platform.ankra.app/api/v1/org/dns/records/{record_id}"
payload = { "content": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/dns/records/{record_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://platform.ankra.app/api/v1/org/dns/records/{record_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>"
}
'{
"id": "<string>",
"name": "<string>",
"record_type": "<string>",
"content": "<string>",
"state": "<string>",
"created_by": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"ttl": 123,
"last_error": "<string>",
"source": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Response
Successful Response
Who wrote the record, present for an organisation whose zone lives on Ankra Cloud, where records are read from and written to Ankra Cloud directly: platform (written through Ankra), user (written in the Ankra Cloud DNS console) or external-dns (published by a cluster's external-dns, read-only here).